Subject: Re: Least liked plant

From: [email-masked] (Natasha Elizabeth Dehn)
Date: 3 Mar 1995 00:05:47 GMT

Robert Pyle ([email-masked]) wrote:
: My vote: Juniper, particularly the ones which sprawl and are used as ground
: covers. They always look so shaggy and unkempt. I am always left thinking
: how nice the area could have been if the owner had used a bit of imagination.
: Then on top of that, when they spread out over the sidewalk or driveway the
: owner almost invariably "edges" them as if they were grass. The effect of a
: sharp vertical edge is so artificial. I know this is the owner's fault, not
: that of the plant, but if only he/she had planted something a little
: diferent .......

: Ian.

Anybody else out there mildly alergic to these things?  I get little 
prickle itchies after brushing against them.  Nothing like poison ivy, 
but not much fun either....
Natasha

---

From: [email-masked] (Peggy Seremjian)
Date: 4 Mar 1995 23:23:08 GMT

: : My vote: Juniper, particularly the ones which sprawl and are used as ground
: : Ian.

: Anybody else out there mildly alergic to these things?  I get little 
: prickle itchies after brushing against them.  Nothing like poison ivy, 
: but not much fun either....
: Natasha

I hate them too. I think they're ugly and they give me a rash. (Got the 
rash digging it up...)

Peg

---

From: [email-masked] (Peggy Seremjian)
Date: 4 Mar 1995 23:23:08 GMT

Peg